vim-tiny_8.0.1453-1ubuntu1.1_amd64.deb


Advertisement

Description

vim-tiny - Vi IMproved - enhanced vi editor - compact version

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Main amd64
Package filename vim-tiny_8.0.1453-1ubuntu1.1_amd64.deb
Package name vim-tiny
Package version 8.0.1453
Package release 1ubuntu1.1
Package architecture amd64
Package type deb
Category editors
Homepage https://vim.sourceforge.io/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 464.33 KB
Installed size 1.24 MB
Vim is an almost compatible version of the UNIX editor Vi.
This package contains a minimal version of Vim compiled with no GUI and
a small subset of features. This package's sole purpose is to provide
the vi binary for base installations.
If a vim binary is wanted, try one of the following more featureful
packages: vim, vim-nox, vim-athena, vim-gtk, or vim-gtk3.

Alternatives

Package Version Architecture Repository
vim-tiny_8.0.1453-1ubuntu1.1_i386.deb 8.0.1453 i386 Ubuntu Updates Main
vim-tiny_8.0.1453-1ubuntu1_i386.deb 8.0.1453 i386 Ubuntu Main
vim-tiny_8.0.1453-1ubuntu1_amd64.deb 8.0.1453 amd64 Ubuntu Main
vim-tiny - - -

Requires

Name Value
libacl1 >= 2.2.51-8
libc6 >= 2.15
libselinux1 >= 1.32
libtinfo5 >= 6
vim-common = 2:8.0.1453-1ubuntu1.1

Provides

Name Value
editor -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package vim-tiny_8.0.1453-1ubuntu1.1_amd64.deb
Source Package vim

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install vim-tiny deb package:
    # sudo apt-get install vim-tiny

Changelog

2019-06-06 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
vim (2:8.0.1453-1ubuntu1.1) bionic-security; urgency=medium
* SECURITY UPDATE: Arbitrary code execution
- debian/patches/CVE-2019-12735.patch: disallow
sourcing a file in the sandbox in src/getchar.c
- CVE-2019-12735
2018-04-10 - Matthias Klose <doko@ubuntu.com>
vim (2:8.0.1453-1ubuntu1) bionic; urgency=medium
* Merge with Debian; remaining changes:
- debian/runtime/vimrc:
+ "syntax on" is a sane default for non-tiny vim.
- debian/patches/debian/ubuntu-grub-syntax.patch:
+ Add Ubuntu-specific "quiet" keyword.
- debian/patches/debian/update-upstart-syntax.patch:
+ Add setuid and setgid to syntax file.
- debian/patches/ubuntu-series-support.patch:
+ Drop vivid, wily, and yakkety, and add bionic.
- debian/patches/ubuntu-mouse-off.patch:
+ Mouse mode is actively harmful in some chroots.
2018-02-02 - James McCoy <jamessan@debian.org>
vim (2:8.0.1453-1) unstable; urgency=medium
[ upstream ]
* 8.0.1452: terminal test fails on some systems
+ This should fix the massive FTBFS on the buildds
* 8.0.1453: terminal test fails on some slow terminals
2018-02-01 - James McCoy <jamessan@debian.org>
vim (2:8.0.1451-1) unstable; urgency=medium
[ David Rabel ]
* Update Standards-Version to 4.1.3
[ upstream ]
* 8.0.1444: missing -D_FILE_OFFSET_BITS=64 may cause problems
This should work around the inconsistent handling of large file support in
glibc (#888566), which closes: #827319.
[ James McCoy ]
* Re-enable Perl bindings on kFreeBSD
* Change Vcs-* to salsa.d.o
* Bump debhelper compat to 11
* Set R³ to no
* d/control: Use https URL for Homepage
* vim-doc: Move documentation under /usr/share/doc/vim, per §12.3
* Remove doc/<arch pkg> → doc/<all pkg> symlinks
* d/rules: Set .NOTPARALLEL to avoid dh_prep clobbering each other
2017-12-24 - James McCoy <jamessan@debian.org>
vim (2:8.0.1401-2) unstable; urgency=medium
* debian.vim: Move a function definition inside an :if so it doesn't cause
vim-tiny to spew lots of errors.  (Closes: #885073)
2018-03-01 - Dimitri John Ledkov <xnox@ubuntu.com>
vim (2:8.0.1401-1ubuntu3) bionic; urgency=high
* No change rebuild against ruby-defaults without ruby2.3.
2018-02-01 - Matthias Klose <doko@ubuntu.com>
vim (2:8.0.1401-1ubuntu2) bionic; urgency=medium
* No-change rebuild for ruby2.5 update.
2017-12-22 - Matthias Klose <doko@ubuntu.com>
vim (2:8.0.1401-1ubuntu1) bionic; urgency=medium
* Merge with Debian; remaining changes:
- debian/runtime/vimrc:
+ "syntax on" is a sane default for non-tiny vim.
- debian/patches/debian/ubuntu-grub-syntax.patch:
+ Add Ubuntu-specific "quiet" keyword.
- debian/patches/debian/update-upstart-syntax.patch:
+ Add setuid and setgid to syntax file.
- debian/patches/ubuntu-series-support.patch:
+ Drop vivid, wily, and yakkety, and add bionic.
- debian/patches/ubuntu-mouse-off.patch:
+ Mouse mode is actively harmful in some chroots.
2017-12-17 - James McCoy <jamessan@debian.org>
vim (2:8.0.1401-1) unstable; urgency=medium
[ upstream ]
* syntax/sh.vim:
+ Fix syntax highlighting of $() when the /bin/sh is detected as
POSIX-compliant.  (Closes: #848663)
+ Correctly highlight escaped single-quotes inside test expressions.
(Closes: #761064)
[ James McCoy ]
* runtime/debian.vim:
+ Fix mechanism used to check for <S-Insert> mappings, since maparg()
doesn't understand multiple modes in the {mode} argument.  Thanks to
Sergey Vlasov for the patch!  (Closes: #883422)
* syntax/debcontrol.vim:
+ Fix highlighting of "Section: javascript" … again.  (Closes: #884495)
2017-11-04 - James McCoy <jamessan@debian.org>
vim (2:8.0.1257-2) unstable; urgency=medium
* Add patch to fix flakiness in test_search.vim
* syntax/debcontrol.vim:
+ Recognize golang section.  Thanks to Guillem Jover.  (Closes: #880698)

See Also

Package Description
vim_8.0.1453-1ubuntu1.1_amd64.deb Vi IMproved - enhanced vi editor
vlan_1.9-3.2ubuntu6_amd64.deb user mode programs to enable VLANs on your ethernet devices
walinuxagent_2.2.40-0ubuntu1~18.04.1_amd64.deb Windows Azure Linux Agent
wget_1.19.4-1ubuntu2.2_amd64.deb retrieves files from the web
whoopsie_0.2.62ubuntu0.1_amd64.deb Ubuntu error tracker submission
winbind_4.7.6+dfsg~ubuntu-0ubuntu2.11_amd64.deb service to resolve user and group information from Windows NT servers
winpr-utils_2.0.0~git20170725.1.1648deb+dfsg1-7ubuntu0.1_amd64.deb Windows Portable Runtime library command line utilities
wireless-regdb_2018.05.09-0ubuntu1~18.04.1_all.deb wireless regulatory database
wpasupplicant_2.6-15ubuntu2.5_amd64.deb client support for WPA and WPA2 (IEEE 802.11i)
wslu_2.0.0-0ubuntu2~18.04.1_all.deb collection of utilities for the Windows 10 Linux Subsystem
x11-common_7.7+19ubuntu7.1_all.deb X Window System (X.Org) infrastructure
x11-xkb-utils_7.7+3ubuntu0.18.04.1_amd64.deb X11 XKB utilities
xapian-doc_1.4.5-1ubuntu0.1_all.deb Core Xapian documentation
xapian-examples_1.4.5-1ubuntu0.1_amd64.deb Xapian simple example programs
xbrlapi_5.5-4ubuntu2.0.1_amd64.deb Access software for a blind person using a braille display - xbrlapi
Advertisement
Advertisement